Bug 1186976 - Review Request: gnome-battery-bench - Measure power usage in defined scenarios
Summary: Review Request: gnome-battery-bench - Measure power usage in defined scenarios
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-29 04:06 UTC by Owen Taylor
Modified: 2015-04-21 18:43 UTC (History)
3 users (show)

Fixed In Version: gnome-battery-bench-3.15.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-12 18:33:12 UTC
Type: ---
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Updated version using %{buildroot} consistently (1.83 KB, text/plain)
2015-02-09 21:01 UTC, Owen Taylor
no flags Details

Description Owen Taylor 2015-01-29 04:06:52 UTC
Spec URL: https://people.gnome.org/~otaylor/gnome-battery-bench.spec
SRPM URL: https://people.gnome.org/~otaylor/gnome-battery-bench-3.15.4-0.fc21.src.rpm
Description: 
This application is designed for measuring power usage. It does it by
recording the reported battery statistics as it replays recorded event
logs, and then using that to estimate power consumption and total
battery lifetime.
Fedora Account System Username: otaylor

Comment 1 Florian "der-flo" Lehner 2015-01-30 18:13:24 UTC
Hi Owen!

There is just one thing so far:

- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

Cheers,
 Florian

Comment 2 Owen Taylor 2015-02-09 21:01:33 UTC
Created attachment 989867 [details]
Updated version using %{buildroot} consistently

Thanks for the review! Here's a version fixed to use %{buildroot} consistently.

Comment 3 Florian "der-flo" Lehner 2015-02-12 18:43:15 UTC
Hi Owen!

Could you please provide the updated informations in the form:

Spec URL: https://people.gnome.org/~otaylor/gnome-battery-bench.spec
SRPM URL: https://myurl.int/new.src.rpm

Thanks,
 Florian

Comment 4 Owen Taylor 2015-02-18 16:16:46 UTC
OK, rebuilt the SRPM and updated the spec file previously uploaded:

Spec URL: https://people.gnome.org/~otaylor/gnome-battery-bench.spec
SRPM URL: https://people.gnome.org/~otaylor/gnome-battery-bench-3.15.4-0.1.fc21.src.rpm

Comment 5 Florian "der-flo" Lehner 2015-02-18 17:09:36 UTC
Hi Owen!

Two minor things:

[ ] Please remove COPYING from %doc and add
       %license COPYING
    to the files section

[ ] Note: rm -rf %{buildroot} present but not required

These are not blockers, so I approve this package.

Cheers, 
 Florian

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 36 files have unknown license.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[ ]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop usingdesktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=8983767
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gnome-battery-bench-3.15.4-0.1.fc22.x86_64.rpm
          gnome-battery-bench-3.15.4-0.1.fc22.src.rpm
gnome-battery-bench.x86_64: W: no-manual-page-for-binary gnome-battery-bench
gnome-battery-bench.x86_64: W: desktopfile-without-binary /usr/share/applications/org.gnome.BatteryBench.desktop gapplication
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
gnome-battery-bench (rpmlib, GLIBC filtered):
    config(gnome-battery-bench)
    libX11.so.6()(64bit)
    libXi.so.6()(64bit)
    libXtst.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libevdev.so.2()(64bit)
    libevdev.so.2(LIBEVDEV_1)(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpolkit-gobject-1.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
gnome-battery-bench:
    application()
    application(org.gnome.BatteryBench.desktop)
    config(gnome-battery-bench)
    gnome-battery-bench
    gnome-battery-bench(x86-64)



Source checksums
----------------
https://download.gnome.org/sources/gnome-battery-bench/3.15/gnome-battery-bench-3.15.4.tar.xz :
  CHECKSUM(SHA256) this package     : 40b211c306e14f36f1ab75aa1b13b551ac49c23c8881074558e4f0fc3fa8dd18
  CHECKSUM(SHA256) upstream package : 40b211c306e14f36f1ab75aa1b13b551ac49c23c8881074558e4f0fc3fa8dd18


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1186976
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
      APPROVED

Comment 6 Owen Taylor 2015-02-26 19:49:58 UTC
Thanks, Florian! I'll fix up the remaining non-blocking issues when importing.

New Package SCM Request
=======================
Package Name: gnome-battery-bench
Short Description: Measure power usage in defined scenarios
Upstream URL: https://git.gnome.org/browse/gnome-battery-bench/
Owners: otaylor
Branches: f21 f22
InitialCC:

Comment 7 Gwyn Ciesla 2015-02-26 21:07:11 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-03-12 18:28:15 UTC
gnome-battery-bench-3.15.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gnome-battery-bench-3.15.4-1.fc21

Comment 9 Fedora Update System 2015-03-12 18:30:00 UTC
gnome-battery-bench-3.15.4-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gnome-battery-bench-3.15.4-1.fc22

Comment 10 Richard Hughes 2015-03-16 10:24:22 UTC
No AppData? I thought that was mandatory in the guidelines now...

Comment 11 Fedora Update System 2015-04-04 07:22:14 UTC
gnome-battery-bench-3.15.4-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2015-04-21 18:43:19 UTC
gnome-battery-bench-3.15.4-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.